| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
DomainFactory.h File Reference
`#include "cantera/oneD/Domain1D.h"`
`#include "cantera/base/FactoryBase.h"`
Include dependency graph for DomainFactory.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | DomainFactory
| Factory class to create domain objects. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
template<class T = Domain1D>
shared_ptr< T > | newDomain (const string &domainType, shared_ptr< Solution > solution, const string &id="")
| Create a Domain object of the specified type.